<?

include("../Librerias/ConfNivel2.inc");

$Nivel=$_Nivel2;

$ObjSesion=new Sesiones();               ///Clase Sesión

$ObjSesion->MVerifica($Nivel);

$Conexion=new DBAccess();

$Conexion->Acceso($Servidor,$UsuarioBD,$ClaveBD,$BaseDatos);

/*Obtenemos los valor por post*/

$tags2 = array_keys($_POST); // obtiene los nombres de las variables

$valores2 = array_values($_POST);// obtiene los valores de las variables

$i=0;

foreach ($_POST as $valores){

 ${$tags2[$i]}=$valores;

 //echo '$'.$tags2[$i].' = $_POST["'.$tags2[$i].'"];<br>'; 

 $i++;	

}

///Datos de la acción

$Fecha=date("Y-m-d");

$Hora=date("H:i:s");

$Ip=$HTTP_X_FORWARDED_FOR;

if ($Ip=='')  $Ip=$REMOTE_ADDR;

if(empty($Anio))

 $Anio = 0;

if(!empty($Momento))

 $UsoMisa = '1';

 else

 $UsoMisa = '0';



if ($Accion=='Guardar'){



    $Consulta="insert into cantos(Titulo,IdAutorLetra,IdAutorMusica,Disco,Anio,TiempoLit,Etiquetas,UsoMisa,momento,Acordes,Ciclo)

	values('$Titulo',$IdAutorLetra,$IdAutorMusica,'$Disco','$Anio',$TiempoLit,'$Etiquetas','$UsoMisa','$Momento','$Acordes','$Ciclo')";

    $Conexion->MEjecutarSQL($Consulta);

    //echo "-->".$Consulta;

    $RowInsertado=$Conexion->MSelectRegistro("SELECT * FROM cantos ORDER BY IdCanto DESC LIMIT 1");

    ///Consulta para Obtener Id de los datos almacenados

    $DescripcionAccion="INGRESÓ A : $RowInsertado[Titulo]";

    $ConsultaAccion="INSERT INTO ControlUsuarios (IdUsuario,Descripcion,Fecha,Hora,IP,Tabla,Clave) Values (

                     '".$_SESSION["IdUsuario"]."','$DescripcionAccion','$Fecha','$Hora','$Ip','Cantos',$RowInsertado[IdCanto])";

     $Conexion->MEjecutarSQL($ConsultaAccion);

     FMensajeScript($DescripcionAccion,"CatCantos.php?IdCanto=$RowInsertado[IdCanto]");

     exit();

}



if ($Accion=='Actualizar'){

   

   	$Consulta="Update cantos Set Titulo = '$Titulo',IdAutorLetra =$IdAutorLetra,IdAutorMusica = $IdAutorMusica,Disco = '$Disco', Anio = '$Anio',TiempoLit = $TiempoLit, Acordes = '$Acordes', Etiquetas = '$Etiquetas', UsoMisa = '$UsoMisa', Momento=$Momento, Ciclo='$Ciclo' WHERE IdCanto=$IdCanto";									

   $Conexion->MEjecutarSQL($Consulta);

   



    ///Consulta para Obtener Id de los datos almacenados

    $RowInsertado=$Conexion->MSelectRegistro("SELECT * FROM cantos WHERE IdCanto=$IdCanto");

	$DescripcionAccion="ACTUALIZÓ A : $RowInsertado[Titulo]";

    $ConsultaAccion="INSERT INTO ControlUsuarios (IdUsuario,Descripcion,Fecha,Hora,IP,Tabla,Clave) Values(

                     '".$_SESSION["IdUsuario"]."','$DescripcionAccion','$Fecha','$Hora','$Ip','cantos',$RowInsertado[IdCanto])";

     $Conexion->MEjecutarSQL($ConsultaAccion);

     FMensajeScript($DescripcionAccion,"CatCantos.php?IdCanto=$RowInsertado[IdCanto]");

	//echo $Consulta;

	 //echo mysql_errno($Consulta) . ": " . mysqli_error($Consulta) . "\n";

     exit();

}



if ($Accion=='Eliminar'){

    $RowInsertado=$Conexion->MSelectRegistro("SELECT * FROM cantos WHERE IdCanto='$IdCanto'");

    $Consulta="DELETE FROM cantos WHERE IdCanto='$IdCanto'";

    $Conexion->MEjecutarSQL($Consulta);



    ///Consulta para Obtener Id de los datos almacenados

	$DescripcionAccion="ELIMINÓ A : $RowInsertado[titulo]";

    $ConsultaAccion="INSERT INTO ControlUsuarios (IdUsuario,Descripcion,Fecha,Hora,IP,Tabla,Clave) Values (

                    '".$_SESSION["IdUsuario"]."','$DescripcionAccion','$Fecha','$Hora','$Ip','cantos',$RowInsertado[IdCanto])";

     $Conexion->MEjecutarSQL($ConsultaAccion);

     FMensajeScript($DescripcionAccion,"CatCantos.php");

     exit();

}

?>

